Page MenuHomePhabricator

Echo doing master queries on simple GET requests
Closed, ResolvedPublic

Description

forceprofile=1 sometimes shows:

query-m: SELECT etp_user,etp_page,etp_event FROM echo_target_page WHERE etp_user = 'X'

This should be able to just use slaves instead.

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterDefer the "seen time" updates on GET requests

Event Timeline

aaron created this task.Mar 30 2015, 6:22 PM
aaron raised the priority of this task from to Needs Triage.
aaron updated the task description. (Show Details)
aaron added subscribers: aaron, EBernhardson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 6:22 PM
Catrope set Security to None.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 30 2015, 6:23 PM
Gilles added a subscriber: Gilles.Apr 2 2015, 12:24 PM
Gilles added a comment.Apr 6 2015, 9:06 AM

Was that the whole query? I can't find where it might be coming from in Echo's current codebase.

EBernhardson triaged this task as Normal priority.Apr 6 2015, 5:55 PM
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 7:35 AM

Change 237530 had a related patch set uploaded (by Aaron Schulz):
Defer the "seen time" updates on GET requests

https://gerrit.wikimedia.org/r/237530

Change 237530 merged by jenkins-bot:
Defer the "seen time" updates on GET requests

https://gerrit.wikimedia.org/r/237530

aaron closed this task as Resolved.Sep 11 2015, 7:43 PM
aaron claimed this task.

"+channel:DBPerformance +message:*Echo* -message:*CentralAuth* -message:*(SqlBag|markRead)*" shows nothing. So this should be fixed in master.